%define pkgname activerecord
Summary:	Object-Relational mapping library for Ruby
Summary(pl.UTF-8):	Biblioteka odwzorowań obiektowo-relacyjnych dla Ruby
Name:		ruby-activerecord2
Version:	2.3.16
Release:	1
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	cb2f369b6270c5bcff073460f1ce4345
Patch0:		ruby-activerecord-rubygems.patch
URL:		http://rubyforge.org/projects/activerecord/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Requires:	ruby-activesupport = 2.3.16
Obsoletes:	ruby-ActiveRecord
Provides:	ruby-ActiveRecord
Provides:	ruby-activerecord = %{version}
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of ruby packaging
%define		_enable_debug_packages	0

%description
This package contains Object-Relational mapping library for Ruby.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę odwzorowań obiektowo-relacyjnych dla
Ruby.

%package rdoc
Summary:	Documentation files for ActiveRecord
Summary(pl.UTF-8):	Dokumentacja do biblioteki ActiveRecord
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for ActiveRecord.

%description rdoc -l pl.UTF-8
Dokumentacja do biblioteki ActiveRecord.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
%patch0 -p1

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -rf ri/{Fixture*,I18n,MysqlCompat,PGresult,Test,YAML}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README examples
%{ruby_rubylibdir}/active_record
%{ruby_rubylibdir}/active_record.rb
%{ruby_rubylibdir}/activerecord.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActiveRecord
%changelog
* Fri Feb 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-activerecord2.git;a=log;h=master

* Fri Feb 01 2013 Jan Rękorajski <baggins@pld-linux.org> cc6ee73
- updated to 2.3.16

* Fri Jan 11 2013 Jan Rękorajski <baggins@pld-linux.org> 810eb5d
- fix deps
- rel 2

* Wed Jan 09 2013 Jan Rękorajski <baggins@pld-linux.org> 46d8f01
- updated to 2.3.15

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> c8feeba
- 2.3.14

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> d1c73c1
- 2.3.11

* Wed Jun 22 2011 Jan Rękorajski <baggins@pld-linux.org> 011a3f9
- provide also generic, versioned package name to avoid file conflicts

* Wed Jun 22 2011 Jan Rękorajski <baggins@pld-linux.org> e33e5ab
- fix patch file name

* Wed Jun 22 2011 Jan Rękorajski <baggins@pld-linux.org> a846f28
- fix package name and set strict deps

* Wed Jun 22 2011 Jan Rękorajski <baggins@pld-linux.org> 74c21d3
- 2.3.5 as separate package (needed by redmine)

* Wed Dec 01 2010 aredridel <aredridel@pld-linux.org> a7f3a9d
- Removed, mainline has equivalent fix

* Tue Nov 30 2010 aredridel <aredridel@pld-linux.org> 010bfc8
- 3.0.3
- R: ruby-arel
- R: ruby-activemodel

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 390c0b7
- removed outdated toto
- added ri package

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> dc8bafa
- updated R

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> fed3dfe
- updated to 2.3.5

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> 9873241
outdated

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 59284f7
- P:ruby-ActiveRecord

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 642979e
- renamed ruby-ActiveRecord -> ruby-activerecord

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 74dc407
- 2.0.5, add -rdoc, rdoc such filelist needs ruby 1.8.6 to build

* Thu Sep 18 2008 aredridel <aredridel@pld-linux.org> cbaa40e
- added

* Fri Aug 29 2008 aredridel <aredridel@pld-linux.org> c6bdf5a
- 2.1.0

